Bug 170603 - Default Values for Macros in Config file channels not supported as documented
Default Values for Macros in Config file channels not supported as documented
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2005-10-13 07:59 EDT by Bowe Strickland
Modified: 2008-10-16 09:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-16 09:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bowe Strickland 2005-10-13 07:59:27 EDT
Description of problem:

macros should be able to provide default values, but don't seem to.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create Custom Info tag named "asset"
2. create config channel file w/ following macro cut and pasted from Docs:

	 asset={@ rhn.system.custom_info(asset) =
	  'Asset #' @} 

3. submit edits
Actual results:

  top of page error: Invalid macro function name in file contents: 'Asset #'

Expected results:

   clean submission of edits

Additional info:

  surprisingly, seems to be whitespace dependent... if new line is removed
  (and possible offending '#' metacharacter is removed):

       asset={@ rhn.system.custom_info(asset) =  'Asset default' @} 

  error messgae becomes:

     Invalid macro token in file contents: rhn.system.custom_info(asset) =
'Asset default'

  if default value is removed: 

        asset={@ rhn.system.custom_info(asset) @} 

   all is fine.
Comment 1 Bret McMillan 2006-08-29 12:55:53 EDT
Old, mis-filed bug.  Mike, I think this was meant to report an issue with the
webui, can you triage this?
Comment 2 Amanda Carter 2008-10-16 09:52:40 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.